summaryrefslogtreecommitdiffstats
path: root/system/ohsnap
diff options
context:
space:
mode:
author Ian D. Brunton <iandbrunton@gmail.com>2015-10-23 02:51:11 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-10-23 02:51:11 +0700
commit73199d505a0710949b62c7c170ea9060d0543249 (patch)
tree3aa8724c19f8e93da19d01a735063412cde8b11f /system/ohsnap
parent31938001a00a9bc76e42e1af02875f68aeb414e6 (diff)
downloadslackbuilds-73199d505a0710949b62c7c170ea9060d0543249.tar.gz
slackbuilds-73199d505a0710949b62c7c170ea9060d0543249.tar.xz
system/ohsnap: Added (monospaced font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/ohsnap')
-rw-r--r--system/ohsnap/README1
-rw-r--r--system/ohsnap/doinst.sh3
-rw-r--r--system/ohsnap/ohsnap.SlackBuild50
-rw-r--r--system/ohsnap/ohsnap.info10
-rw-r--r--system/ohsnap/slack-desc19
5 files changed, 83 insertions, 0 deletions
diff --git a/system/ohsnap/README b/system/ohsnap/README
new file mode 100644
index 0000000000..351676e585
--- /dev/null
+++ b/system/ohsnap/README
@@ -0,0 +1 @@
+Monospaced font based on Artwiz Snap with bold and versions with status icons.
diff --git a/system/ohsnap/doinst.sh b/system/ohsnap/doinst.sh
new file mode 100644
index 0000000000..0eca8728f1
--- /dev/null
+++ b/system/ohsnap/doinst.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+( cd usr/share/fonts/misc; mkfontscale; mkfontdir )
diff --git a/system/ohsnap/ohsnap.SlackBuild b/system/ohsnap/ohsnap.SlackBuild
new file mode 100644
index 0000000000..ecae1f630b
--- /dev/null
+++ b/system/ohsnap/ohsnap.SlackBuild
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# Slackware package build script for ohsnap
+
+# Written by Ian D. Brunton <iandbrunton at gmail dot com>
+# Maintained by Ian D. Brunton <iandbrunton at gmail dot com>
+# Redistribution and use with or without modification are permitted.
+# There is ABSOLUTELY NO WARRANTY, express or implied.
+
+PRGNAM=ohsnap
+VERSION=${VERSION:-1.8.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -d $PKG/usr/share/fonts/misc $PKG/usr/share/kbd/consolefonts
+gzip -9 *.pcf
+cp *.pcf.gz $PKG/usr/share/fonts/misc
+cp *.psfu $PKG/usr/share/kbd/consolefonts
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.ohsnap $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ohsnap/ohsnap.info b/system/ohsnap/ohsnap.info
new file mode 100644
index 0000000000..b2e147e2a7
--- /dev/null
+++ b/system/ohsnap/ohsnap.info
@@ -0,0 +1,10 @@
+PRGNAM="ohsnap"
+VERSION="1.8.0"
+HOMEPAGE="http://sourceforge.net/projects/osnapfont/"
+DOWNLOAD="http://downloads.sourceforge.net/project/osnapfont/ohsnap-1.8.0.tar.gz"
+MD5SUM="aeb3d8e1f9634900036f886a14b3b03a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ian D. Brunton"
+EMAIL="iandbrunton@gmail.com"
diff --git a/system/ohsnap/slack-desc b/system/ohsnap/slack-desc
new file mode 100644
index 0000000000..d98dd3bd64
--- /dev/null
+++ b/system/ohsnap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ohsnap: ohsnap (monospaced font)
+ohsnap:
+ohsnap: Monospaced font based on Artwiz Snap with bold and versions with
+ohsnap: status icons.
+ohsnap:
+ohsnap:
+ohsnap:
+ohsnap:
+ohsnap:
+ohsnap: homepage: http://sourceforge.net/projects/osnapfont/
+ohsnap: